int main(void)
{
    /* Initialized data */

    static int n = 8;
    static float dt = .25f;
    static float p = 1.f;
    static float pi = 3.14159265f;

    /* Builtin functions */
    double exp(double), sqrt(double);

    /* Local variables */
    extern int ec01r_c(int *, float *, float *, float *,
                       float *, float *, int *, float *, float *, float *);
    static float a[8], h__[7];
    static int i__, i, l;
    static float t, x[8], y[8], z__[8], y1[8], xt[8], xt1[8], eps;
    int i__1;

    i__1 = n;
    for (i__ = 1; i__ <= i__1; ++i__) {
        t = dt * (-n / 2 + i__ - 1);
        a[i__ - 1] = (float)exp((float)(-t * t));
        xt[i__ - 1] = (float)exp((float)(-t * t));
        y[i__ - 1] = (float)sqrt((float)(pi / 2.f)) *
                (float)exp((float)(-t * t / 2.f));
        xt1[i__ - 1] = (float)exp((float)(t * -2.f * t));
/* L1: */
        y1[i__ - 1] = (float)sqrt((float)(pi / 3.f)) *
                 (float)exp((float)(-t * t * 2.f / 3.f));
    }
    for (i = 0; i <= 6; i+= 2) {
        printf("\n %16.7e %16.7e \n",a[i], a[i+1]);
    }
    for (i = 0; i <= 6; i+= 2) {
        printf("\n %16.7e %16.7e \n",xt[i], xt[i+1]);
    }
    for (i = 0; i <= 6; i+= 2) {
        printf("\n %16.7e %16.7e \n",y[i], y[i+1]);
    }
    l = 1;
    eps = .08f;
    printf("\n\n %16.7e \n",eps);
    ec01r_c(&n, &dt, a, y, &p, &eps, &l, h__, x, z__);

    for (i = 0; i <= 4; i+= 2) {
        printf("\n %16.7e %16.7e ",h__[i], h__[i+1]);
    }
        printf("\n %16.7e \n",h__[6]);
    for (i = 0; i <= 6; i+= 2) {
        printf("\n %16.7e %16.7e \n",x[i], x[i+1]);
    }
    for (i = 0; i <= 6; i+= 2) {
        printf("\n %16.7e %16.7e \n",xt1[i], xt1[i+1]);
    }
    for (i = 0; i <= 6; i+= 2) {
        printf("\n %16.7e %16.7e \n",y1[i], y1[i+1]);
    }
    l = 3;
    eps = .085f;
    printf("\n\n %16.7e \n",eps);
    ec01r_c(&n, &dt, a, y1, &p, &eps, &l, h__, x, z__);

    for (i = 0; i <= 4; i+= 2) {
        printf("\n %16.7e %16.7e ",h__[i], h__[i+1]);
    }
        printf("\n %16.7e \n",h__[6]);
    for (i = 0; i <= 6; i+= 2) {
        printf("\n %16.7e %16.7e ",x[i], x[i+1]);
    }
    return 0;
} /* main */
